Update a Settlement Dispute
This API call allows clients to retract or un-retract a dispute (if within the dispute window).
Requires access token scopes: settlement_network_read, settlement_network_write
Path Params
-
enterpriseIdstring required -
disputeIdstring requiredThe unique identifier of the dispute you want to update.
Body Params
object
-
connectionIdstring requiredThe unique identifier of the connection under which the dispute was created. -
retractedboolean requiredRetraction state you wish to update to.
- if true is supplied, your dispute will transition to a retracted state and the settlement transfers will be executed at the time of settlement provided it remains in a retracted state.
- if false is supplied, your dispute will transition to a non-retracted state and the settlement transfers will not be executed at the time of settlement provided it remains in an non-retracted state.
-
reasonstringThe optional reason for retracting/un-retracting. If retracting, the reason will be persisted and returned in the retractionReason field on the disptue object. If un-retracting, the reason will be persisted and returned in the reason field on the dispute object. -
expectedTransfersmap of stringsOptional object representing the transfers you expected to be included in the settlement that this dispute is assiciated with. If provided, the expectedTransfers property on the dispute will be updated based on the provided value.
The object is represented as a record where the keys are currency identifiers and the values are the amounts you expected to be transacted for the associated currency represented in base units of the currency (i.e. sats for BTC, wei for ETH. A positive amount indicates that you expected to receive that amount of the associated currency, where a negative amount indicates that you expected to send that amount of the associated currencies. Zero values are not accepted; if you didn't expect to send or recieve a given currency, simply omit that currency from the expectedTransfers object.
-
payloadstring requiredPayload formed by stringifying the object containing all request body properties and the disputeId & settlementId parameters.
The payload must be signed using your BitGo account's private key to create the signature parameter.
-
signaturestring requiredDigital signature of the payload parameter.
This signature:
- Must be created using your BitGo account's private key.
- Verifies that the request is authentic and hasn't been tampered with.
- Provides non-repudiation for the allocation request.
-
noncestring requiredUnique nonce to prevent replay attacks.
This value:
- Must be unique for each request requiring a nonce.
- Should be a cryptographically strong random value.
- Is used as part of the request signing process.
- Helps ensure the signature can only be used once.
Responses
200
OK
Response Body
object
-
disputeobject requireddispute object
-
idstring required -
createdAtstring date-time required -
updatedAtstring date-time required -
connectionIdstring required -
disputedSettlementIdstring required -
userIdstring required -
expectedTransfersmap of strings requiredexpectedTransfers object
-
<key>string
-
-
retractedboolean required -
settledInSettlementIdstring -
reasonstring -
retractedBystring -
retractedAtstring date-time -
disputeClosureIdstring -
retractedReasonstring
-
401
Unauthorized
Response Body
object
-
errorstring required
403
Forbidden
Response Body
object
-
errorstring required
404
Not Found
Response Body
object
-
errorstring required
409
Conflict
Response Body
object
-
errorstring required
422
Unprocessable Entity
Response Body
object
-
errorstring required
500
Internal Server Error
Response Body
object
-
errorstring required